PR.GUI.Color = {
    White = "255 255 255",
    Red = "255 0 0",
    Green = "0 255 0",
    Cyan = "0 255 255",
    Magenta = "255 0 255",
    Gold = "255 215 0",
    LightGray = "211 211 211",
    Gray = "169 169 169",
    Button = tabunseltextcolor
}

for name, rgb in pairs(PR.GUI.Color) do
    PR.Color[name] = rgbtohex(rgb)
end
PR.Color.TERMINATOR = "\127o" -- custom color terminator
PR.Color.FactionColors = {
    Gray = rgbtohex(FactionColor_RGB[0]),
    Itani = rgbtohex(FactionColor_RGB[1]),
    Serco = rgbtohex(FactionColor_RGB[2]),
    UIT = rgbtohex(FactionColor_RGB[3]),
    Developers = PR.Color.Magenta
}

-- This table holds all the ore related static data.
-- The order here determines the order the GUI cycles through them, so
-- it should be sorted by descending XP value.
-- See https://www.vo-wiki.com/wiki/Mining#List_of_Ores
PR.Ore = {
    { name = "Sammic",     shortname = "Sa", xp = 25, color = PR.Color.Gray },
    { name = "Heliocene",  shortname = "He", xp = 20, color = PR.Color.Red },
    { name = "Pentric",    shortname = "Pe", xp = 18, color = rgbtohex("212 212 42") },
    { name = "Denic",      shortname = "De", xp = 15, color = rgbtohex("18 164 210") },
    { name = "Apicene",    shortname = "Ap", xp = 14, color = rgbtohex("50 100 150") },
    { name = "Pyronic",    shortname = "Py", xp = 12, color = rgbtohex("236 142 114") },
    { name = "Lanthanic",  shortname = "La", xp = 10, color = rgbtohex("180 40 255") },
    { name = "Xithricite", shortname = "Xi", xp =  8, color = rgbtohex("0 255 64") },
    { name = "Ishik",      shortname = "Is", xp =  7, color = PR.Color.Cyan },
    { name = "VanAzek",    shortname = "Va", xp =  7, color = rgbtohex("171 107 84") },
    { name = "Ferric",     shortname = "Fe", xp =  6, color = PR.Color.LightGray },
    { name = "Carbonic",   shortname = "Ca", xp =  5, color = rgbtohex("102 153 102") },
    { name = "Silicate",   shortname = "Si", xp =  5, color = rgbtohex("204 204 153") },
    { name = "Aquean",     shortname = "Aq", xp =  4, color = rgbtohex("185 232 254") }
}
PR.Ore.n = #PR.Ore

--[[ PR.MineralScanners = {
    ["Free Mineral Scanner"] = 500, -- free scanner from mining tutorial or Latos stations
    ["Scanner"] = 500, -- free scanner from prospecting missions
    ["Mineral Scanner"] = 500,
    ["Improved Mineral Scanner"] = 600,
    ["Prototype Mineral Scanner"] = 700,
    ["Advanced Mineral Scanner"] = 750
} ]]

PR.ShipsWithMineralScanner = {
    ["TPG Raptor UDV"] = 300,
    ["Warthog Mineral Extractor"] = 500,
    ["Behemoth Heavy Miner MkII"] = 1000,
    ["Trident Type M"] = 500,
    ["Goliath"] = 500
}

-- table of system ownership for GUI search box grouping
PR.SystemOwnership = {
    "Serco", -- 1: Sol II
    "Serco", -- 2: Betheshee
    "Serco", -- 3: Geira Rutilus
    "Itani", -- 4: Deneb
    "Itani", -- 5: Eo
    "Itani", -- 6: Cantus
    "Itani", -- 7: Metana
    "Itani", -- 8: Setalli Shinas
    "Itani", -- 9: Itan
    "Itani", -- 10: Pherona
    "Itani", -- 11: Artana Aquilus
    "Itani", -- 12: Divinia
    "Itani", -- 13: Jallik
    "Gray", -- 14: Edras
    "UIT", -- 15: Verasi
    "Gray", -- 16: Pelatus
    "Gray", -- 17: Bractus
    "UIT", -- 18: Nyrius
    "UIT", -- 19: Dau
    "Gray", -- 20: Sedina
    "UIT", -- 21: Azek
    "Gray", -- 22: Odia
    "Gray", -- 23: Latos
    "UIT", -- 24: Arta Caelestis
    "Gray", -- 25: Ukari
    "Gray", -- 26: Helios
    "Serco", -- 27: Initros
    "Serco", -- 28: Pyronis
    "Serco", -- 29: Rhamus
    "Serco", -- 30: Dantia
    "Developers", -- 31: Devlopia
    "Developers", -- 32
    "Gray" -- 33: Unknown System
}
PR.SystemOwnership.n = #PR.SystemOwnership
